| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ShowFoto::ShowfotoKineticScroller Class Reference

Vertical kinetic scroller implementation without overshoot and bouncing. More...

Inheritance diagram for ShowFoto::ShowfotoKineticScroller:

## Public Member Functions
| ShowfotoKineticScroller (QObject *const parent=nullptr)
void | enableKineticScrollFor (QAbstractScrollArea *const scrollArea)
| NOTE: enabled for one widget only, new calls remove previous association.
void | setScrollFlow (QListView::Flow flow)

## Protected Member Functions
bool | eventFilter (QObject *object, QEvent *event) override
| intercepts mouse events to make the scrolling work

## Detailed Description

A temporary solution to get kinetic-like scrolling on Symbian.